[package]
name = "shared"
version = "0.1.0"
edition = "2024"

[features]
default = []
node = []
client = []
full = ["node", "client"]

[dependencies]
anyhow = "1.0.99"
bincode = "2.0.1"
clap = { version = "4.5.47", features = ["derive"] }
hex = "0.4.3"
secp256k1 = { version = "0.31.1", features = ["rand"] }
serde = { version = "1.0.219", features = ["derive"] }
serde_json = "1.0.143"
sha2 = "0.10.9"
thiserror = "2.0.16"
